GENWQE_MEMCOPY(1)

NAME
genwqe_memcopy - IBM Hardware Accelerator Tool.

SYNOPSIS
genwqe_memcopy

DESCRIPTION

-h, --help
    print usage information

-v, --verbose
    verbose mode

-C, --card <cardno>
    use this card for operation

-A, --accelerator-type=GENWQE|CAPI CAPI is only available for System p

-V, --version

-q, --quiet
    quiece output

-c, --count <number>
    do multiple memcopies

-l, --preload <number>
    preload multiple ddcb's. (default 1, only for CAPI Card)

-X, --cpu <cpu>
    only run on this CPU

-D, --debug
    create debug data on failure

-G, --use-sglist
    use the scatter gather list

-n, --nonblocking
    use nonblcoking behavior

-p, --patternfile <filename>]

-s, --bufsize <bufsize>
    default is 4KiB

-i, --pgoffs_i <offs>
    byte offset for input buffer

-o, --pgoffs_o <offs>
    byte offset for output buffer

-F, --force-compare <output_data.bin>

-t, --threads <num>
    run <num> threads, default is 1

-Y, --inject-error <err> IN:0x1, OUT:0x2, SIZE:0x4, DDCB:0x8

This utility sends memcopy DDCBs to the application chip unit. It can be used to check the cards health and/or to produce stress on the card to verify its correct function.

  Example:

    dd if=/dev/urandom bs=4096 count=1024 of=input_data.bin ./genwqe_memcopy -C0 -F -D --patternfile input_data.bin output_data.bin echo $? diff input_data.bin output_data.bin echo $?